﻿using System;
using System.Data;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;

namespace WindowsFormsApplication1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            var dt = new DataTable();
            dt.Columns.AddRange(new []
            {
                new DataColumn("id", typeof(int)), 
                new DataColumn("col1", typeof(string)), 
                new DataColumn("col2", typeof(int)), 
                new DataColumn("col3", typeof(string)), 
                new DataColumn("col4", typeof(int))
            });
            dt.Rows.Add(1, "11", 12, "13", 14);
            dt.Rows.Add(2, "21", 22, "23", 24);
            dt.Rows.Add(3, "31", 32, "33", 34);
            ultraGrid1.SetDataBinding(dt, "", true, true);
        }

        private void checkBox1_CheckedChanged(object sender, EventArgs e)
        {
            ultraGrid1.DisplayLayout.Bands[0].RowLayoutStyle = checkBox1.Checked
                ? RowLayoutStyle.GroupLayout
                : RowLayoutStyle.None;
        }
    }
}
